rootskel (1.134) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * src/sbin/reopen-console-linux: Use tty1 instead of tty0, to fix ^C.
  * src/usr/lib/finish-install.d/07rootskel: Use ':' in chown

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 18 Jul 2022 14:27:38 +0200

rootskel (1.133) unstable; urgency=medium

  [ Alper Nebi Yasak ]
  * Use /dev/tty0 as a console even if it's not in /proc/consoles

  [ Miao Wang ]
  * Do not remove the font when bterm is not started (Closes: #977466).

 -- Steve McIntyre <93sam@debian.org>  Sun, 17 Jan 2021 16:56:01 +0000

rootskel (1.132) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Make gcc substitutable. (Closes: #930970)

  [ Samuel Thibault ]
  * src/usr/lib/finish-install.d/06rootskel: Rename to 07rootskel to have
    users set up. Enable high-contrast theme when installation was made with the
    dark theme. Enable compiz ezoom features for accessibility.

  [ Dimitri John Ledkov ]
  * Specify fs_spec field in fstab-linux mount points. Some tools parse
    /proc/mounts and try to match on the spec field to find where sysfs is
    mounted (ie. dasdfmt on s390x). This makes d-i environment look more
    similar to the installed systems.

  [ Steve McIntyre ]
  * Tweak how multiple consoles are used. If we detect that we're
    trying to run using preseeding, do *not* run on multiple consoles
    in parallel as that causes race conditions and weird
    behaviour. Instead, just run on the "preferred" console.
    Closes: #940028, #932416

 -- Steve McIntyre <93sam@debian.org>  Mon, 23 Dec 2019 19:06:44 +0000

rootskel (1.131) unstable; urgency=medium

  * Team upload
  * Remove spurious files.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Jun 2019 21:28:44 +0200

rootskel (1.130) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927486)

  [ Samuel Thibault ]
  * src/lib/debian-installer.d/S60frontend: Update gtk memory limit, now with
    encryption support which eats a lot.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 13 Jun 2019 20:39:11 +0200

rootskel (1.129) unstable; urgency=medium

  * S50entropy-source: start haveged when appropriate, to avoid entropy
    starvation (See: #923675). This means when the haveged binary is
    available, and when there's no hardware RNG available.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 20 Apr 2019 02:24:53 +0200

rootskel (1.128) unstable; urgency=medium

  [ Wookey ]
  * Run d-i on multiple consoles independently where configured.
  * Add error-handling to steal-ctty

  [ Steve McIntyre ]
  * Add early logging so we can later see what consoles are detected
    and chosen.
  * Add myself to uploaders.

 -- Steve McIntyre <93sam@debian.org>  Tue, 05 Mar 2019 18:04:09 +0000

rootskel (1.127) unstable; urgency=medium

  [ Samuel Thibault ]
  * Make theme=dark install and enable Compiz in MATE.
  * Make theme=dark make grub use a dark theme.

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Mar 2019 12:00:18 -0800

rootskel (1.126) unstable; urgency=medium

  * Team upload

  [ Ben Hutchings ]
  * Include <sys/sysmacros.h> to get major() and minor() macros
    (Closes: #916070)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 09 Dec 2018 22:31:34 +0000

rootskel (1.125) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 27 Aug 2018 20:53:38 +0200

rootskel (1.124) unstable; urgency=medium

  [ Samuel Thibault ]
  * Create /run on non-linux too, for screen support.

 -- Christian Perrier <bubulle@debian.org>  Thu, 06 Jul 2017 09:49:07 +0200

rootskel (1.123) unstable; urgency=medium

  * S02module-params: avoid registering options for non-modules (#853855)
    The non-modules list is based on the kernel-command-line(7) manpage.

 -- Philip Hands <phil@hands.com>  Sat, 01 Apr 2017 11:50:30 +0200

rootskel (1.122) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update gtk lowmem limits.

 -- Christian Perrier <bubulle@debian.org>  Tue, 21 Feb 2017 06:53:44 +0100

rootskel (1.121) unstable; urgency=medium

  * Team upload
  * Fix starting screen in ssh when d-i is already running inside screen on
    serial port (Closes: #844549).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Nov 2016 17:13:43 +0100

rootskel (1.120) unstable; urgency=medium

  [ Samuel Thibault ]
  * #837868 is now fixed, let TERMCAP be defined in screen session.

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Oct 2016 07:02:00 +0200

rootskel (1.119) unstable; urgency=medium

  [ Samuel Thibault ]
  * Move screen support from /sbin/debian-installer to
    /lib/debian-installer.d/S70menu, along bterm support. Simplify code a lot
    since we already have all variables telling us what the terminal looks
    like.

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Sep 2016 08:24:42 +0200

rootskel (1.118) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Remove NSLU2 support code.

 -- Christian Perrier <bubulle@debian.org>  Tue, 14 Jun 2016 07:08:51 +0200

rootskel (1.117) unstable; urgency=medium

  [ Martin Michlmayr ]
  * S99signal-status: don't check for the device name since LED sysfs
    names are device-specific anyway.
  * S99signal-status: change LED to indicate d-i status on Seagate
    Personal Cloud and Seagate NAS.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 22 Apr 2016 04:34:11 +0200

rootskel (1.116) unstable; urgency=medium

  [ Roger Shimizu ]
  * Add GNU/screen support, when it's available

 -- Christian Perrier <bubulle@debian.org>  Tue, 12 Apr 2016 09:03:37 +0200

rootskel (1.115) unstable; urgency=medium

  [ Philipp Kern ]
  * s390x: Do not always halt the machine after installation.
    (Closes: #813519)

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Feb 2016 07:01:03 +0100

rootskel (1.114) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Tue, 02 Feb 2016 07:20:17 +0100

rootskel (1.113) unstable; urgency=medium

  [ Ben Hutchings ]
  * Remove unnecessary build-dependency on libklibc-dev

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Sep 2015 07:06:14 +0200

rootskel (1.112) unstable; urgency=medium

  [ Samuel Thibault ]
  * Add large hurd-i386 GTK frontend memory limit.

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 May 2015 08:10:55 +0200

rootskel (1.111) unstable; urgency=medium

  [ Steven Chamberlain ]
  * Adjust for underestimation of total RAM on kfreebsd, and allow 256
    MiB systems to use the GTK frontend (Closes: #783775).

 -- Christian Perrier <bubulle@debian.org>  Fri, 01 May 2015 08:49:08 +0200

rootskel (1.110) unstable; urgency=medium

  [ Milan Kupcevic ]
  * S05fancontrol-linux-powerpc: use new G5 windfarm modules (Closes: #781936)

 -- Cyril Brulebois <kibi@debian.org>  Sun, 05 Apr 2015 19:57:23 +0200

rootskel (1.109) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update lowmem limit for gtk on linux-x86.

 -- Christian Perrier <bubulle@debian.org>  Sun, 07 Sep 2014 08:20:50 +0200

rootskel (1.108) unstable; urgency=medium

  * Remove src/lib/debian-installer-startup.d/S05acpi-linux-x86 entirely
    following Ben's suggestion: udev takes care of such things these days
    (Closes: #287412).
  * Apply patch from Steven Chamberlain to avoid running out of space in
    the fixed-size initrd on kfreebsd-* (Closes: #757985). Use a tmpfs for
    some directories:
    - /var/cache/anna
    - /var/lib/cdebconf

 -- Cyril Brulebois <kibi@debian.org>  Thu, 21 Aug 2014 20:38:13 +0200

rootskel (1.107) unstable; urgency=low

  [ Martin Michlmayr ]
  * Remove Cobalt related scripts.

  [ Samuel Thibault ]
  * /proc/mounts now exists on hurd-any, point /etc/mtab to it.

  [ Colin Watson ]
  * Add a new debian-installer/allow_unauthenticated_ssl template, which can
    be used to disable SSL certificate checks when using HTTPS
    (LP: #833994).

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Feb 2014 18:04:10 +0000

rootskel (1.106) unstable; urgency=low

  * Bump compat level back to 9.
  * Do not use build & build-arch dependencies, as dh_auto_install is then
    not called. Instead, use override_dh_auto_build.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Mon, 29 Jul 2013 11:42:38 +0100

rootskel (1.105) unstable; urgency=low

  * Drop debhelper compatibility level back to 8 as  the bump to 9
    empties the package. With apologies for omitting to check.
    Closes: #717519

 -- Christian Perrier <bubulle@debian.org>  Wed, 24 Jul 2013 18:51:50 +0200

rootskel (1.104) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:26:38 +0200

rootskel (1.103) unstable; urgency=low

  [ Adam Conrad ]
  * Remove the lib64 -> lib symlinks, no longer necessary with the new
    mklibs (and, in fact, break it due to debhelper making them absolute
    instead of relative).

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 May 2013 22:28:46 +0100

rootskel (1.102) unstable; urgency=low

  * Fix /etc/profile script to properly detect when to call setupcon:
    the config script for console-setup-udeb is /etc/default/keyboard
    (middle-ground between console-setup's /etc/default/console-setup
    and keyboard-configuration's /etc/default/keyboard).
    Closes: #606395.
  * Redirect setupcon's stdout/stderr to /dev/null in that profile
    script. This avoids spurious “gzip is not accessible. Will not
    save cached keyboard map.” messages when opening a console. In
    case of troubles, it's easy enough to get rid of the redirections
    to debug things.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 27 Dec 2012 22:40:16 +0100

rootskel (1.101) unstable; urgency=low

  [ Samuel Thibault ]
  * When enabling speakup, tell debconf to show choices horizontally.
    Closes: #690588.
  * Update lowmem limit for graphical installer.

  [ Christian Perrier ]
  * Replace XC-Package-Type by Package-Type in debian/control

 -- Christian Perrier <bubulle@debian.org>  Sat, 27 Oct 2012 13:47:30 +0200

rootskel (1.100) unstable; urgency=high

  [ Joey Hess ]
  * Remove rootskel-bootfloppy. The age of the floppy is officially over.
    Closes: #653840

  [ Robert Millan ]
  * src/sbin/init-kfreebsd: Start devd to process all pending events
    before init (see #493865)

  [ Julien Cristau ]
  * Generate debian/templates in build-arch as well as build, so they don't go
    missing on non-source uploads.  Thanks to Cyril Brulebois for the
    investigation.

 -- Julien Cristau <jcristau@debian.org>  Thu, 21 Jun 2012 18:16:55 +0200

rootskel (1.99) unstable; urgency=low

  [ Robert Millan ]
  * Serial devices are now named "ttyu" and "cuau" on GNU/kFreeBSD.

  [ Aurelien Jarno ]
  * On s390x, detect /dev/sclp* as serial devices.

  [ Otavio Salvador ]
  * kfreebsd: set TERM as xterm by default.

 -- Otavio Salvador <otavio@debian.org>  Sat, 31 Dec 2011 10:58:23 -0200

rootskel (1.98) unstable; urgency=low

  * Add support for s390x.

 -- Philipp Kern <pkern@debian.org>  Thu, 06 Oct 2011 18:58:30 +0200

rootskel (1.97) unstable; urgency=low

  [ Loïc Minier ]
  * Add Freescale i.MX serial consoles, /dev/ttymxc*.

  [ Robert Millan ]
  * control: Use "any" architecture wildcards where possible.

  [ Colin Watson ]
  * Provide the ability to choose a remote logging host and port if
    specified on the kernel command line using log_host= and log_port=
    (thanks, Matt T. Proud; closes: #635191).

  [ Samuel Thibault ]
  * Harmonize S40term-hurd with linux & kfreebsd, fixes glitch in
    network-console.

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2011 17:58:08 +0100

rootskel (1.96) unstable; urgency=low

  [ Samuel Thibault ]
  * Do not require TERM_FRAMEBUFFER to be set for g-i on !linux-any.
  * Require TERM to be set to hurd for g-i on hurd-any.
  * Add audio group for proper ALSA behavior.

  [ Hector Oron ]
  * src/lib/debian-installer-startup.d/Makefile:
    - enabled init scripts for armhf:
       S40framebuffer-module-linux-armel
        S80anna-install-armel
        S99signal-status

  [ Colin Watson ]
  * Set up /run on Linux, otherwise udev complains at boot.
  * Create /run/lock after mounting /run, for later convenience.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 May 2011 14:15:42 +0100

rootskel (1.95) unstable; urgency=low

  [ Jurij Smakov ]
  * Switch to using TIOCGDEV ioctl for detection of the real console for
    kernels >= 2.6.38.

 -- Jurij Smakov <jurij@debian.org>  Sat, 09 Apr 2011 10:12:29 +0100

rootskel (1.94) unstable; urgency=low

  [ Samuel Thibault ]
  * src/lib/debian-installer/exit-hurd: pass -f to busybox to make it simply
    call reboot(), which DTRT.

  [ Jurij Smakov ]
  * Set DEB_HOST_ARCH_OS in src/Makefile to make sure that everything builds
    correctly without help from dpkg-buildpackage.

  [ Colin Watson ]
  * Bump the amount of data reopen-console-linux reads from the kernel ring
    buffer from 64KiB to 256KiB.  This fixes console detection on (at least)
    VMware Workstation (LP: #745947).

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Apr 2011 22:37:55 +0100

rootskel (1.93) unstable; urgency=low

  [ Milan Kupcevic ]
  * S05fancontrol-linux-powerpc: Add windfarm_pm121 for iMac iSight machines.
    Selectively load necessary modules to control G5 PowerMac fans.  All G5
    PowerMac models are covered now.

  [ Samuel Thibault ]
  * S40term-kfreebsd: Fix typo, thanks Salvatore Bonaccorso
    (Closes: Bug#606318)

 -- Christian Perrier <bubulle@debian.org>  Wed, 08 Dec 2010 22:57:05 +0100

rootskel (1.92) unstable; urgency=low

  [ Samuel Thibault ]
  * Update minimum memory value for g-i.

 -- Otavio Salvador <otavio@debian.org>  Mon, 01 Nov 2010 19:07:11 -0200

rootskel (1.91) unstable; urgency=low

  * Team upload

  [ Samuel Thibault ]
  * When it is activated, add the speakup modules to the target initrd.

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Oct 2010 23:10:46 +0200

rootskel (1.90) unstable; urgency=low

  * Mount /sys on GNU/kFreeBSD as chroot_setup() from di-utils now rely
    on that.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Aug 2010 15:13:54 +0200

rootskel (1.89) unstable; urgency=low

  * Parse kernel parameters and export them to environment variables
    on GNU/kFreeBSD.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Aug 2010 16:16:20 +0200

rootskel (1.88) unstable; urgency=low

  * Skip the creation of /etc/mtab on Hurd, rather than on everything but
    Hurd.  Thanks to Trent W. Buck for the report.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Aug 2010 13:05:47 +0100

rootskel (1.87) unstable; urgency=low

  [ Aurelien Jarno ]
  * Remount the filesystem with the "remount" option instead of the
    "update" one as it is the only one supported by busybox.
  * Correctly detect virtual consoles on kFreeBSD 8.x.
  * Enable UTF-8 on GNU/kFreeBSD.

  [ Jeremie Koenig ]
  * Fix lib/debian-installer.d/S40term-hurd.
  * Provide a -hurd version for some files: (closes: #593212)
    - lib/debian-installer/detect-console
    - lib/debian-installer/exit (skips umount, which is not available yet)
    - etc/fstab (empty)
    - etc/inittab (copied the Linux one)
    - sbin/reopen-console (not much guesswork yet)
  * Skip the creation of /etc/mtab on Hurd (our /proc/mounts is itself a
    symlink to mtab).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Aug 2010 21:22:43 +0200

rootskel (1.86) unstable; urgency=low

  [ Jeremie Koenig ]
  * Add a S40term-hurd to enable UTF-8.

  [ Aurelien Jarno ]
  * src/lib/debian-installer/init-debug: fix to not output an error
    message on POSIX compliant shells and on recent busybox versions.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 02 Aug 2010 17:39:51 +0200

rootskel (1.85) unstable; urgency=low

  [ Frans Pop ]
  * Only drop unused translations if available memory is less than 250MB.
    If more memory is available there is no real reason to do this.

  [ Martin Michlmayr ]
  * Add S40framebuffer-module-linux-armel to ensure that fbcon is
    loaded and that fb modules are put in the ramdisk so that users
    can see the boot process.

  [ Otavio Salvador ]
  * In case running in live-installer assume GTK frontend can be used.

 -- Otavio Salvador <otavio@debian.org>  Tue, 27 Jul 2010 02:08:37 -0300

rootskel (1.84) unstable; urgency=low

  [ Samuel Thibault ]
  * hurd-i386 does not need klibc.

  [ Frans Pop ]
  * Avoid an endless loop if the installer should be booted with init=/init.

 -- Frans Pop <fjp@debian.org>  Sun, 21 Mar 2010 16:06:12 +0100

rootskel (1.83) unstable; urgency=low

  * Remove reference to socket-modules udeb from /etc/modules.conf. The udeb
    is no longer used.
  * Be more precise regarding the new "console handover" message to avoid
    running into #499030 again.

 -- Frans Pop <fjp@debian.org>  Fri, 05 Mar 2010 15:01:52 +0100

rootskel (1.82) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Frans Pop ]
  * Remove no longer needed Lintian override for missing Standards-
    Version field.
  * reopen-console-linux: with 2.6.32 the format of "console handover" messages
    in dmesg changes; support both old and new format. Closes: #552278.
  * Drop support for the discontinued lpia architecture.

  [ Martin Michlmayr ]
  * reopen-console-linux: Ensure that the script works even when
    PRINTK_TIME is not set in the kernel.

 -- Frans Pop <fjp@debian.org>  Wed, 23 Dec 2009 00:37:15 +0100

rootskel (1.81) unstable; urgency=low

  * Fix a bashisms in /lib/debian-installer.d/S40term-kfreebsd.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Aug 2009 23:53:58 +0200

rootskel (1.80) unstable; urgency=low

  [ Colin Watson ]
  * Only build rootskel-bootfloppy on Linux architectures.

  [ Luca Favatella ]
  * Generalize code splitting Linux specific stuff.
  * GNU/kFreeBSD does not need klibc and udev.
  * Add GNU/kFreeBSD /etc/inittab, considering /dev/ttyv[1-3] instead of
    /dev/tty[2-4] (as on GNU/Linux).
  * Add GNU/kFreeBSD /etc/fstab and /sbin/init.
  * Add GNU/kFreeBSD /lib/debian-installer/detect-console.

  [ Otavio Salvador ]
  * Unix socket support is built-in since long ago so we don't need to
    load it.

  [ Aurelien Jarno ]
  * On GNU/kFreeBSD, mount fdescfs at boot time and set the default
    module path. Depends on freebsd-utils-udeb (for sysctl).
  * src/lib/debian-installer-startup.d/Makefile: S01mount and S02module-params
    are Linux specific.
  * Add GNU/kFreeBSD /sbin/reopen-console.
  * Use a GNU/kFreeBSD specific script to exit the installer.
  * Add a S40term-kfreebsd to mute the console on boot time if it is not used.
  * Use a S70menu common to all architectures.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Aug 2009 23:15:13 +0200

rootskel (1.79) unstable; urgency=low

  * Let return code 11 to be handled by main-menu so live-installer can
    properly exit the installer.

 -- Otavio Salvador <otavio@debian.org>  Fri, 03 Jul 2009 08:23:38 -0300

rootskel (1.78) unstable; urgency=low

  [ Martin Michlmayr ]
  * Remove the udev rule for Netwinder since we no longer support this
    device.

  [ Christian Perrier ]
  * Bump debhelper compatibility level to 6
  * Add myself to uploaders

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jun 2009 19:09:32 +0200

rootskel (1.77) unstable; urgency=low

  * hppa: starting with kernel 2.6.29 the hilkbd module should be loaded
    automatically by udev.

 -- Frans Pop <fjp@debian.org>  Fri, 08 May 2009 07:46:36 +0200

rootskel (1.76) unstable; urgency=low

  [ Frans Pop ]
  * Drop support for the ppc64 architecture.

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Apr 2009 11:52:17 +0100

rootskel (1.75) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Use 'update-dev --settle' rather than 'update-dev' after loading fbcon
      module. Requires di-utils 1.66.

 -- Otavio Salvador <otavio@debian.org>  Sun, 05 Apr 2009 17:55:41 -0300

rootskel (1.74) unstable; urgency=low

  * Merge from Ubuntu:
    - init: Add support for disabling the shells on tty2 and tty3 by
      specifying a 'noshell' option on the kernel cmdline. Useful for
      unattended installations in a public place (closes: #504381).

 -- Colin Watson <cjwatson@debian.org>  Fri, 27 Feb 2009 05:57:38 +0000

rootskel (1.73) unstable; urgency=low

  * hppa: load hilkbd module and register the module for inclusion in initrd
    for the target system. Closes: #416208.

 -- Frans Pop <fjp@debian.org>  Sat, 27 Dec 2008 04:36:06 +0000

rootskel (1.72) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add missing copyright statements for steal-ctty.
  * steal-ctty: add missing #include for perror().

  [ Frans Pop ]
  * reopen-console: fix syntax error.

 -- Frans Pop <fjp@debian.org>  Sat, 13 Dec 2008 13:45:26 +0100

rootskel (1.71) unstable; urgency=low

  * Add a check in reopen-console that the console reported as "handed over"
    is of the correct type. In some cases dmesg reports a virtual console,
    while the actual console the init process is running on is serial.
    A simplified version of busybox' cttyhack is used to perform the check.
    Closes: #504721.

 -- Frans Pop <fjp@debian.org>  Fri, 05 Dec 2008 14:08:21 +0100

rootskel (1.70) unstable; urgency=low

  * Support real devices for console on s390. (closes: #504760)

 -- Bastian Blank <waldi@debian.org>  Sat, 29 Nov 2008 22:02:53 +0100

rootskel (1.69) unstable; urgency=low

  [ Frans Pop ]
  * reopen-console: ignore consoles found in boot messages for which no
    device file exists. Closes: #499030.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 21 Sep 2008 08:33:47 +0000

rootskel (1.68) unstable; urgency=low

  [ Martin Michlmayr ]
  * Load required udebs for the NSLU2 automatically (partman-auto,
    partman-ext3 and usb-storage-modules).   (Closes: #498795)
  * Load required udebs for the Cobalt automatically (partman-auto,
    partman-ext2r0 and partman-ext3).
  * Remove S40framebuffer-module-linux-mips since framebuffer on
    SB1 machines never worked.
  * Move S59cobalt-welcome from cobalt-scripts to rootskel since
    cobalt-scripts only contains this single script.

  [ Jérémy Bobbio ]
  * reopen-console: Save the console device found from kernel messages in
    /var/run/console-device as it is possible that those would be unavailable
    later on.
  * Move back the switch from /dev/console to the real console device in
    /etc/inittab as doing it before calling init does not really work.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 15 Sep 2008 09:35:44 +0300

rootskel (1.67) unstable; urgency=low

  [ Martin Michlmayr ]
  * Update the initrd init to use start-udev/reopen-console.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 04 Sep 2008 10:19:48 +0300

rootskel (1.66) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Start udev before running init.
    Depends: udev-udeb (>= 0.125-6)
  * Rework the switch from /dev/console to the real console device
    (e.g. /dev/tty0).  (Closes: #484366)
    Breaks: cdebconf-gtk-udeb (<< 0.134)

 -- Otavio Salvador <otavio@debian.org>  Thu, 28 Aug 2008 10:16:15 -0300

rootskel (1.65) unstable; urgency=low

  [ Colin Watson ]
  * Add debian-installer/exit/poweroff to run poweroff rather than reboot or
    halt at the end of the installation. Requested by Crispin Flowerday.

  [ Martin Michlmayr ]
  * Only set DEBCONF_DROP_TRANSLATIONS=1 if it is not set yet.  This
    allows others (e.g. oldsys-preseed) to set the variable to 0 before
    S70menu is run.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 23 Aug 2008 21:38:50 +0300

rootskel (1.64) unstable; urgency=low

  [ Samuel Thibault ]
  * Add basic support for speakup (voice synthesis for accessibility).

  [ Martin Michlmayr ]
  * Add a startup script to change the LED on the HP mv2120 to indicate
    the status of d-i.

  [ Frams Pop ]
  * Stop the udev daemon before unmounting file systems when D-I is shut down.
    Not doing so results in errors with udev 0.124. Closes: #490924.

 -- Frans Pop <fjp@debian.org>  Wed, 16 Jul 2008 13:51:29 +0200

rootskel (1.63) unstable; urgency=low

  [ Joey Hess ]
  * Rename toplevel /floppy mountpoint to /media, as used by the newly
    renamed mountmedia.

  [ Frans Pop ]
  * Apply patch from Samuel Thibault to also expose the theme to the text
    frontend. Closes: #488493.

 -- Joey Hess <joeyh@debian.org>  Mon, 07 Jul 2008 14:03:14 -0400

rootskel (1.62) unstable; urgency=low

  [ Frans Pop ]
  * Remove Bdale Garbee, Kenshi Muto and Matt Kraai as Uploaders with many
    thanks for their past contributions.

  [ Joey Hess ]
  * Fix FTBFS on alpha.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Apr 2008 21:02:30 -0400

rootskel (1.61) unstable; urgency=low

  [ Frans Pop ]
  * S35term: script is sourced, so remove the shebang.
  * S35framebuffer-linux: export TERM_FRAMEBUFFER so that can be used to test
    whether framebuffer is available or not (e.g. in localechooser).

  [ Joey Hess ]
  * Translated bootfloppy init to a C program, this allows dropping
    the shell from the boot floppy to save space.

 -- Frans Pop <fjp@debian.org>  Fri, 04 Apr 2008 21:04:34 +0200

rootskel (1.60) unstable; urgency=low

  [ Frans Pop ]
  * S40framebuffer-module-linux-alpha: remove redundant architecture test.
  * S40framebuffer-module-linux-x86: allow for the fact that vesafb and fbcon
    can be (and are) compiled in for i386 and amd64 kernels.

  [ Joey Hess ]
  * Fix debugshell on boot floppy, there is no sh command, have to use the
    klibc sh.
  * Rewrite boot floppy init to try to load a cpio archive direct from the
    floppy with no encapsulating filesystem. This will save space by
    allowing modularising ext2 in the kernel.
  * There's no sleep command on the boot floppy, don't try to use it.

 -- Joey Hess <joeyh@debian.org>  Mon, 31 Mar 2008 18:33:51 -0400

rootskel (1.59) unstable; urgency=low

  [ Frans Pop ]
  * Fix number of CPUs count for alpha.
  * Add number of CPUs count for hppa. Thanks to Grant Grundler for his
    suggestion how that could be done.
  * Stop creating /usr/lib/prebaseconfig.d; it was deprecated ages ago.

  [ Joey Hess ]
  * Modify init to support userdevfs again.

  [ Frans Pop ]
  * Use new busybox' cttyhack in /etc/inittab to ensure that the console
    gets identified correctly as a tty for the init scripts.
    Requires: busybox (>= 1:1.9.1-3).

 -- Frans Pop <fjp@debian.org>  Sat, 22 Mar 2008 23:14:41 +0100

rootskel (1.58) unstable; urgency=low

  [ dann frazier ]
  * Create more serial device files in the ramdisk before calling
    busybox init, in case they are needed for a serial console.
    Closes: #453749.

  [ Frans Pop ]
  * Remove some code supporting kernels other than 2.6.
  * Minor whitespace and coding style changes.
  * Remove obsolete d-i-startup.d/S03hotplug and the coldplug script it calls.

 -- Otavio Salvador <otavio@debian.org>  Thu, 31 Jan 2008 08:58:22 -0200

rootskel (1.57) unstable; urgency=low

  * debian-installer-startup.d/S02netwinder-net: restructure so
    I don't need to exit or return from the script.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 29 Nov 2007 09:47:33 +0100

rootskel (1.56) unstable; urgency=low

  [ Frans Pop ]
  * Remove S02udev-fixup; /.dev seems no longer needed.

  [ Martin Michlmayr ]
  * Add a udev rules file for Netwinder so the Ethernet interfaces will
    use the same naming scheme as used by the Netwinder firmware.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 17 Nov 2007 17:17:58 +0100

rootskel (1.55) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Cleanup devfs-style device names.

 -- Otavio Salvador <otavio@debian.org>  Tue, 11 Sep 2007 09:25:42 -0300

rootskel (1.54) unstable; urgency=low

  * Switch inittab to use /dev/ttyX instead of devfs equivalents /dev/vc/X.

 -- Frans Pop <fjp@debian.org>  Sun, 01 Jul 2007 09:21:49 +0200

rootskel (1.53) unstable; urgency=low

  * Prepare for console-setup: call setupcon from /etc/profile if it's
    available and /etc/default/console-setup exists.
  * Set DEBCONF_DROP_TRANSLATIONS=1 when starting the menu. Requires
    cdebconf 0.117 to take effect, but won't break with earlier versions.

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Jun 2007 22:03:30 +0100

rootskel (1.52) unstable; urgency=low

  * S02module-params: allow for module paramenters with an '=' in them.
    Thanks to Damián Viano. Closes: #284425.

 -- Frans Pop <fjp@debian.org>  Mon, 21 May 2007 17:00:30 +0200

rootskel (1.51) unstable; urgency=low

  [ David Härdeman ]
  * Use cpio and read -t from klibc 1.5. Closes: #417439.

 -- Frans Pop <fjp@debian.org>  Sat, 21 Apr 2007 01:21:19 +0200

rootskel (1.50) unstable; urgency=low

  * Add new debian-installer/allow_unauthenticated template, will be used by
    choose-mirror and base-installer to allow forcing installation even if
    the mirror doesn't auth.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Feb 2007 16:11:25 -0500

rootskel (1.49) unstable; urgency=low

  * Support blacklisting of modules from the boot prompt using the syntax
    "module.blacklist=". The value can be anything.
    Requires di-utils (>=1.43).

 -- Frans Pop <fjp@debian.org>  Sat,  6 Jan 2007 14:51:03 +0100

rootskel (1.48) unstable; urgency=low

  [ Sylvain Ferriol ]
  * Klibc timeout does not work for all arches, so we reduce the usb keyboard
    support to i386. Closes: #402746.
  * Better root disk label test in bootfloppy init script.
  * Define KLIBC_SELECT C flag in timeout_read.c for i386.

 -- Frans Pop <fjp@debian.org>  Sat, 23 Dec 2006 20:34:42 +0100

rootskel (1.47) unstable; urgency=low

  * Raise memory requirement for graphical installer to 128MiB for powerpc.
  * Don't enable graphical frontend if GTK_NOVESA is set (see rootskel-gtk).

 -- Frans Pop <fjp@debian.org>  Mon, 11 Dec 2006 23:43:03 +0100

rootskel (1.46) unstable; urgency=low

  [ Sylvain Ferriol ]
  * Add a timeout in the prompt for the root floppy so that users can still
    proceed from boot to root floppy even when they have a USB keyboard (which
    is not supported by the root floppy due to lack of space).

  [ Petter Reinholdtsen ]
  * Remove myself as uploader.

  [ Otavio Salvador ]
  * Truncate the comment on S05fancontrol-linux-powerpc since the aircraft
    noise level doesn't happen on all powerpc machines. Suggested by
    Holger Levsen <debian@layer-acht.org>.

  [ Frans Pop ]
  * init-debug: remove shebang as script is sourced, not executed.

 -- Frans Pop <fjp@debian.org>  Sat,  9 Dec 2006 18:00:12 +0100

rootskel (1.45) unstable; urgency=low

  [ Otavio Salvador ]
  * Applied patch from Sven Luther to load fan control modules for G5 Apple
    systems, but with trivial fix to remove an unrelated change.
    Closes: #394971.

 -- Frans Pop <fjp@debian.org>  Fri, 24 Nov 2006 21:09:52 +0100

rootskel (1.44) unstable; urgency=low

  * Revert to previous known good version as upload was against agreement,
    violates basic NMU rules and patch was broken.

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 15:44:25 +0100

rootskel (1.43) unstable; urgency=low

  [ Sven Luther ]
  * Added S05fancontrol-linux-powerpc, in order to actually load the
    fancontrol modules, in order to not have G5 apple box go into aircraft
    noise level a few minutes after the start of the installation.

 -- Sven Luther <luther@debian.org>  Sun, 19 Nov 2006 10:59:02 +0100

rootskel (1.42) unstable; urgency=low

  [ Sylvain Ferriol ]
  * Include klibc-utils in src-rootskel. cpio binary and klibc-utils share
    the same klibc library. Closes: #394079, #398255.

 -- Frans Pop <fjp@debian.org>  Thu, 16 Nov 2006 05:46:50 +0100

rootskel (1.41) unstable; urgency=low

  * Rebuild against klibc 1.4.29-1 to make cpio in rootskel-bootfloppy work
    again.

 -- Frans Pop <fjp@debian.org>  Wed, 18 Oct 2006 13:23:34 +0200

rootskel (1.40) unstable; urgency=low

  [ Sylvain Ferriol ]
  * src-bootfloppy/init: recode the whole script; it now uses klibc.
    usb floppy code has been retired because the 2.6 kernel is too big
    so the usb floppy drivers cannot be included in boot floppy.

 -- Frans Pop <fjp@debian.org>  Fri, 13 Oct 2006 03:52:42 +0200

rootskel (1.39) unstable; urgency=low

  * No longer set LANGUAGE; the default language is now set in cdebconf-udeb
    and main-menu makes sure it is honoured when a new frontend is started.
    Closes: #381142.

 -- Frans Pop <fjp@debian.org>  Fri,  6 Oct 2006 03:15:49 +0200

rootskel (1.38) unstable; urgency=low

  * Selectively enable framebuffer on sparc.
  * Add support for debian-installer/theme boot parameter.

 -- Frans Pop <fjp@debian.org>  Sun, 24 Sep 2006 02:41:31 +0200

rootskel (1.37) unstable; urgency=low

  [ Matt Kraai ]
  * Fix syntax error in /etc/profile.

 -- Frans Pop <fjp@debian.org>  Wed, 13 Sep 2006 18:47:58 +0200

rootskel (1.36) unstable; urgency=low

  [ Colin Watson ]
  * Now that /var/log/messages has been retired, replace its tail with
    another convenience shell; it can be useful to look at more than one
    thing at once, or to kill a process that wedged your shell on tty2.

  [ Frans Pop ]
  * Apparently we need to set the keyboard mode separately for the convenience
    shells.

 -- Frans Pop <fjp@debian.org>  Sun, 10 Sep 2006 10:22:59 +0200

rootskel (1.35) unstable; urgency=low

  [ Colin Watson ]
  * src/lib/debian-installer/init-udev-devices, src/sbin/init: Create/remove
    normal device names as well as devfs names.

  [ Frans Pop ]
  * Remove countcpus-linux-x86 as it never really worked and is no longer
    needed with smp-alternatives enabled in the kernel for 2.6.17.
  * Add /etc/profile to set VT2 in UTF-8 mode if needed.
  * Make shell on VT2 a login shell so that /etc/profile will be sourced.
  * Set LANG and LANGUAGE to sensible defaults always; should fix dialogs in
    some cases where localechooser is not run (e.g. country selection lists
    on S/390).

 -- Frans Pop <fjp@debian.org>  Wed, 23 Aug 2006 00:03:20 +0200

rootskel (1.34) unstable; urgency=low

  [ Frans Pop ]
  * Also create lib64 symlink for ppc64. Closes: #365203.
  * Add missing dependency on debconf.
  * Add Lintian override for standards-version.
  * Add myself to uploaders.

  [ Sven Luther ]
  * Add support for /dev/hvsi* (non-virtual) serial consoles on recent IBM
    POWER machines in detect-console-linux. Closes: #382254.

 -- Frans Pop <fjp@debian.org>  Tue, 15 Aug 2006 02:54:25 +0200

rootskel (1.33) unstable; urgency=low

  [ Joey Hess ]
  * Add a debugshell in abort.

  [ Colin Watson ]
  * Allow for non-devfs-style console device names in detect-console-linux.

  [ Sven Luther ]
  * Add support for /dev/hvc* virtual serial consoles on recent IBM POWER
    machines in detect-console-linux. Closes: #375499.

 -- Frans Pop <fjp@debian.org>  Fri, 30 Jun 2006 15:23:24 +0200

rootskel (1.32) unstable; urgency=low

  * Don't start bterm when running the gtk frontend.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 May 2006 13:25:35 +0100

rootskel (1.31) unstable; urgency=low

  [ Martin Michlmayr ]
  * sb1-swarm-bn has been renamed to sb1-bcm91250a.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 17 Mar 2006 22:25:50 +0000

rootskel (1.30) unstable; urgency=low

  * Add S01module-params startup script which parses the kernel command line
    for things of the form module.param=value and calls register-modules -a -p
    to make the parameters get used when the modules are later loaded.
    This allows passing parameters in the same form used for parameters
    of modules that are built into the kernel, and have them take effect with
    modules loaded by eg, udev. Closes: #353942, #284425
  * Needs di-utils 1.24.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Mar 2006 14:59:03 -0500

rootskel (1.29) unstable; urgency=low

  [ Colin Watson ]
  * Don't panic init if a debug shell exits non-zero.
  * The new update-dev that handles udev has been around for a while, so use
    it and drop old calls to udevstart/udevsynthesize.

  [ Frans Pop ]
  * S40term-linux: also set a default LANGUAGE so we get English translations
    instead of codes for templates that have a coded choices list.

 -- Frans Pop <fjp@debian.org>  Wed, 25 Jan 2006 19:22:21 +0100

rootskel (1.28) unstable; urgency=low

  * Mount a tmpfs on /dev in init-udev-devices, and mount /proc slightly
    earlier in the initramfs init; this makes the bind mount to /.dev work
    properly in the initramfs case.

 -- Colin Watson <cjwatson@debian.org>  Thu,  1 Dec 2005 13:39:22 +0000

rootskel (1.27) unstable; urgency=low

  * Redo MENU change, but remember to export it this time.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 29 Nov 2005 09:07:24 +0100

rootskel (1.26) unstable; urgency=low

  * Revert MENU change that caused it not to be set in the part of rootskel
    that uses it and broke d-i boot.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Nov 2005 00:46:48 -0500

rootskel (1.25) unstable; urgency=low

  [ Colin Watson ]
  * After calling reboot or halt, sleep for a bit if possible to try to
    ensure that init always has a chance to kill main-menu before it runs
    the next menu item.

  [ Tollef Fog Heen ]
  * Make it possible to override what menu to use by passing it in the
    MENU environment variable.

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 28 Nov 2005 14:03:32 +0100

rootskel (1.24) unstable; urgency=low

  [ Frans Pop ]
  * In S60frontend only allow the gtk frontend if framebuffer is available
    and the system has sufficient memory (for now: 92 MiB).

  [ Colin Watson ]
  * src/lib/debian-installer/init-udev-devices: Skip creating devices and
    directories if they already exist.
  * Discard stderr when trying to load fan and thermal, to avoid noise on
    machines without those devices.
  * Look for udevd rather than udevstart to decide whether to do udevish
    things; udevstart has gone away.
  * If udevstart is missing, try udevsynthesize instead to attempt to
    encourage udev to settle after loading framebuffer modules.
  * Drop S02udev startup script (provided by udev-udeb) and ship
    S02udev-fixup instead to arrange for /.dev to be mounted for programs
    that still care.

  [ Sven Luther ]
  * Adapted to chrp_rs6k -> chrp_ibm transition.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Nov 2005 18:29:30 -0500

rootskel (1.23) unstable; urgency=low

  [ Joey Hess ]
  * Reorder some stuff in S01umount to make sure /dev is mounted before trying
    to write to /dev/null. (For takeover installs.)
  * /dev/null freeramdisk stderr
  * Formatting and whitespace improvements.

  [ Colin Watson ]
  * Load AT keyboard modules on powerpc/chrp_rs6k (closes: #332248).
  * Stop trying to install env2debconf; it was moved to
    debian-installer-utils (and thence to preseed) a while ago.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Oct 2005 14:20:08 +0100

rootskel (1.22) unstable; urgency=low

  * src-bootfloppy/init: export PATH. Closes: #328729.
    Necessary because busybox sh sets but does not export PATH anymore.
  * src/init, src/sbin/init: export PATH here too, for good measure.

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Sep 2005 17:28:00 +0200

rootskel (1.21) unstable; urgency=low

  [ Joey Hess ]
  * Split locale out into a new installation-locale package.
  * Move link_in_boot template to base-installer.
  * Needs base-installer 1.23 and installation-locale.
  * Support running d-i from a ramfs if tmpfs and shmfs fail, for custom
    kernels that happen to use ramfs.
  * Support booting systems w/o devfs support with kernels newer than 2.2,
    for userdevfs for 2.4 kernels.

  [ Colin Watson ]
  * Minor udev startup script updates from the real udev package.

 -- Joey Hess <joeyh@debian.org>  Mon, 15 Aug 2005 18:06:58 -0400

rootskel (1.20) unstable; urgency=low

  * Build-depend on new version of locales and rebuild, as the data format has
    changed and rootskel-locale needs to match the glibc of the d-i image
    build systems.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Aug 2005 19:27:33 -0400

rootskel (1.19) unstable; urgency=low

  * Add boot scripts for x86 and alpha to grep dmesg for strings indicating an
    SMP machine and store this info in /var/numcpus for later use by
    base-installer. This avoids the info being lost when the ring buffer
    overflows.
  * For x86, use the same method used previously for amd64 of looking for
    "WARNING: NR_CPUS limit of 1 reached." to detect a non-smp kernel running
    on a smp machine. Tested to work with 2.6.8 on i386.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Aug 2005 13:58:15 -0400

rootskel (1.18) unstable; urgency=low

  * Make BOOT_DEBUG work for the main initrd, not only for the floppy initrd.
  * Add debug shells right after boot.

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Jul 2005 16:02:45 +0300

rootskel (1.17) unstable; urgency=low

  * Fix initramfs init script (proc and dev exist already, don't make).

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Jul 2005 22:21:19 +0300

rootskel (1.16) unstable; urgency=low

  * Colin Watson
    - Fix hotplug script ordering.

 -- Colin Watson <cjwatson@debian.org>  Thu, 30 Jun 2005 13:10:02 +0100

rootskel (1.15) unstable; urgency=low

  * Colin Watson
    - Cope with non-devfs path to framebuffer device (/dev/fb0).
    - Support init= boot parameter in initramfs.
    - dpkg-architecture >= 1.13.2 changed the semantics of DEB_HOST_GNU_*.
      Use DEB_HOST_ARCH_* instead, and add compatibility code for old
      dpkg-architecture.
  * Joey Hess
    - Remove unused /floppy entry from fstab.
    - Move env2debconf command to di-utils (1.10) in a vain attempt to make
      this package a little bit more of a skeleton again.
    - Add a TODO file with my ideas of what needs to be done with this
      package.
    - debian-installer/kernel/commandline moved to s390-dasd (0.0.11) since
      it's only used on s390. Upload s390-dasd when uploading this package.
    - Remove debian-installer/kernel/subarchitecture template, everything
      uses the archdetect command now.
    - S30read-environment moved to env-preseed udeb.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Jun 2005 20:59:43 -0400

rootskel (1.14) unstable; urgency=low

  * Matt Zimmerman
    - Add a 'restart' action to the default inittab which re-execs init on
      receipt of SIGHUP or SIGUSR1. Useful when building a live-CD-style
      system where you want to switch to a different init part-way through.

 -- Colin Watson <cjwatson@debian.org>  Fri,  6 May 2005 12:49:27 +0100

rootskel (1.13) unstable; urgency=low

  * Joey Hess
    - Add (untested) support for calling udevstart in /init for initramfs.
    - Re-add devfs mount code to boot floppy init, so the boot parameter
      is not needed.
  * Colin Watson
    - Add optional support for hotplug, ported over from Ubuntu.

 -- Joey Hess <joeyh@debian.org>  Wed,  4 May 2005 14:06:55 -0400

rootskel (1.12) unstable; urgency=low

  NOTE: not for sarge, needs base-installer 1.14 and is generally scary.
  * Joey Hess
    - Backed off changes from 1.10 regarding ia64 keyboard modules,
      since they're built back into the kernel now for 2.6 and 2.4.
    - Removed psmouse register-module code for ia64 and powerpc, moving this
      back to ddetect.
    - Add a simple /init to support initramfs images. At least for now,
      initramfs is used as the filesystem for the entire d-i run.
    - Shut up /initrd umount code, since there is no /initrd with initramfs.
    - Moved unifont.bgf to lib. Needs bterm-unifont 1.0
      Closes: #212981
  * Martin Michlmayr
    - Use the noinit=0 parameter when loading the matroxfb_base module,
      otherwise it won't work on MIPS.  Thanks, Peter 'p2' De Schrijver.
  * Colin Watson
    - Linux 2.6.9 and above doesn't return proper errors when 'modprobe
      vesafb' fails, so check that /proc/fb is non-empty as well.
    - Add optional support for udev, ported over from Ubuntu. I'm not yet
      sure if this will work without hotplug ...

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jan 2005 15:47:55 -0500

rootskel (1.11) experimental; urgency=low

  NOTE: not for sarge, needs base-installer 1.14.
  * Colin Watson
    - Remove hardcoded path to debconf-loadtemplate.
  * Joey Hess
    - Move templates to base-installer that are only used by base-installer
      and frequently need updated, so are best not put on d-i initrds:
      debian-installer/kernel/image, debian-installer/kernel/image-2.6,
      debian-installer/kernel/linux/initrd,
      debian-installer/kernel/linux/initrd-2.6.
      Did not move a few others that are used by more packages than just
      base-installer.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Dec 2004 17:29:50 +0000

rootskel (1.10) unstable; urgency=low

  * Colin Watson
    - Do the register-module i8042 and atkbd for powerpc/chrp* and
      powerpc/prep here rather than in hw-detect; it's too confusing having
      this spread out over two completely different places.
    - Might as well register-module psmouse here too.
  * Joey Hess
    - Add ps2 keyoard module registration code for ia64 with the 2.6 kernel
      which has it modular. Also threw in register-module psmouse there.
      Closes: #283983

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 2004 13:25:12 -0500

rootskel (1.09) unstable; urgency=high

  * Bdale Garbee
    - hppa 2.6 kernels need do_initrd = Yes

 -- Bdale Garbee <bdale@gag.com>  Thu, 11 Nov 2004 23:10:01 -0700

rootskel (1.08) unstable; urgency=high

  * Bdale Garbee
    - give hppa a 2.6 kernel version default

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Nov 2004 16:17:30 -0700

rootskel (1.07) unstable; urgency=high

  * Joey Hess
    - Revert change in 1.06, it broke all serial console installs
      (including English) using non-linux terminals. Reopens: #263137

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Oct 2004 16:31:33 -0400

rootskel (1.06) unstable; urgency=low

  * Kenshi Muto
    - Enable UTF-8 on serial console. (closes: #263137)
      This change solves lock up of non-English installation.

 -- Kenshi Muto <kmuto@debian.org>  Sun, 17 Oct 2004 15:20:38 +0900

rootskel (1.05) unstable; urgency=low

  * Stephen R. Marenka
    - Only check for 2.2 kernel serial console for VMEs,
      workaround for #269077.

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 13:24:40 -0400

rootskel (1.04) unstable; urgency=low

  * Joey Hess
    - Test for debian-installer/framebuffer in S35framebuffer-linux to allow
      disabling of the use of the framebuffer with bterm on arches that have
      the framebuffer built in. Closes: #273378

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 2004 13:34:51 -0400

rootskel (1.03) unstable; urgency=low

  * Jim Lieb
    - Add 2.6 kernels to ia64 build
  * Martin Michlmayr
    - Load framebuffer modules for sb1-swarm-bn on mips/mipsel.
  * Sven Luther
    - Load framebuffer modules for tgafb on alpha.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 20:50:52 -0400

rootskel (1.02) unstable; urgency=low

  * Bastian Blank
    - Update s390 to 2.4.27 kernel.
  * Bdale Garbee
    - Update hppa to 2.4.27 kernel.

 -- Bdale Garbee <bdale@gag.com>  Tue, 14 Sep 2004 10:38:42 -0600

rootskel (1.01) unstable; urgency=low

  * dann frazier
    - Set Default[ia64] to kernel-image-2.4.27-1-itanium-smp
      (was kernel-image-2.4.25-itanium-smp)
  * Joshua Kwan
    - Set initrd/initrd-2.6 to true for sparc.
  * Joey Hess
    - Update i386 to 2.4.27 and 2.6.8 kernels.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 2004 13:20:07 -0400

rootskel (1.00) unstable; urgency=low

  * Colin Watson
    - Install acpi and framebuffer startup scripts on amd64 as well as i386.
      Rename scripts to match.
  * Joey Hess
    - Add the id of the question to the dummy template description so bug
      reports can be more useful.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Sep 2004 11:36:59 -0400

rootskel (0.92) unstable; urgency=low

  * Joey Hess
    - Disable printk when displaying the prompt in boot floppy init
      to avoid ugly delayed usb messages overwriting the prompt.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 2004 18:16:26 -0400

rootskel (0.91) unstable; urgency=low

  * Joey Hess
    - Add S05acpi-i386 to load fan and thermal modules if available
      as early as practical in boot to avoid machine meltdown.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Aug 2004 20:39:33 +0100

rootskel (0.90) unstable; urgency=low

  * Joey Hess
    - env2debconf: Mark preseeded questions as seen to avoid pestering the
      user with them.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Aug 2004 16:22:43 +0100

rootskel (0.89) unstable; urgency=low

  * Wouter Verhelst
    - move /lib/debian-installer.d/S30term-linux to
      /lib/debian-installer/detect-console; create new S30term-linux which
      sources detect-console. This is so that we can use it in different
      places.
    - Source the above created file in /sbin/init right before starting
      busybox init in the 2.2 scenario, and remove /dev/vc/[2-5] when running
      on a serial console.
    The above two changes should make serial console work on 2.2 systems.
  * Bastian Blank
    - Fix the above changes for work with special cases, like s390.
    - Load framebuffer modules only once.
    - Check debian-installer/framebuffer only once.
    - Don't set DEBIAN_FRONTEND in startup code.
    - Always export DEBIAN_FRONTEND.
  * Joey Hess
    - i386 is at 2.6.7 now, not 2.6.5.
  * Martin Michlmayr
    - Surpass a bogus warning when trying to unmount /initrd/dev.
    - Set debian-installer/kernel/linux/link_in_boot to true on ARM.

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Aug 2004 16:36:18 +0100

rootskel (0.88) unstable; urgency=low

  * Bastian Blank
    - Fix installer entry in passwd.

 -- Bastian Blank <waldi@debian.org>  Thu, 22 Jul 2004 10:36:12 +0200

rootskel (0.87) unstable; urgency=low

  * Bastian Blank
    - Fix usage of return codes.
  * Colin Watson
    - Install S35framebuffer-linux again.

 -- Colin Watson <cjwatson@debian.org>  Tue, 20 Jul 2004 13:47:48 +0100

rootskel (0.86) unstable; urgency=low

  * Bastian Blank
    - Make sure that debconf exits before we mount readonly.
    - Load framebuffer module only once and only on virtual terminal
      (closes: #259950).
    - Don't overwrite terminal type if there is one set.
    - Never use output of scripts which may start debconf.
  * Thiemo Seufer
    - Don't show umount non-error in sbin/init.

 -- Bastian Blank <waldi@debian.org>  Sun, 18 Jul 2004 21:07:16 +0200

rootskel (0.85) unstable; urgency=low

  * Bastian Blank
    - Use small syslog output. Needs busybox-cvs 20040623-1.
    - Allow the exit code of debconf be non null.
    - Reboot/halt machine if asked to do so.
  * Joshua Kwan
    - Alias usb-ohci and usb-uhci to their respective *-hcd names when
      on 2.6, by writing to modules.conf.

 -- Bastian Blank <waldi@debian.org>  Sat, 10 Jul 2004 19:16:13 +0200

rootskel (0.84) unstable; urgency=low

  * Joey Hess
    - Minor output fix.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jul 2004 10:45:39 -0400

rootskel (0.83) unstable; urgency=low

  * Kenshi Muto
    - Brush up fbcon / vga16fb loading routine.

 -- Kenshi Muto <kmuto@debian.org>  Wed,  7 Jul 2004 21:22:01 +0900

rootskel (0.82) unstable; urgency=low

  * Joey Hess
    - Load vesafb and vga16fb in paris along with fbcon, and don't assume
      it works until both load successfully. Closes: #257970

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Jul 2004 22:33:13 -0400

rootskel (0.81) unstable; urgency=low

  * Colin Watson
    - Load AT keyboard modules only on powerpc chrp, chrp_pegasos, and prep.

 -- Colin Watson <cjwatson@debian.org>  Mon,  5 Jul 2004 22:47:34 +0100

rootskel (0.80) unstable; urgency=low

  * Kenshi Muto
    - Fix src/debian-installer.d/Makefile
      (Revert S33framebuffer-module-linux-i386 for i386) (Closes: #257687)

 -- Colin Watson <cjwatson@debian.org>  Mon,  5 Jul 2004 16:10:58 +0100

rootskel (0.79) unstable; urgency=low

  * Bastian Blank
    - Move startup code from lib/debian-installer.d and etc/rcS.d to
      lib/debian-installer-startup.d.
  * Colin Watson
    - Load i8042 and atkbd modules on powerpc 2.6. Some subarchitectures
      require them.
    - Remove null from debian-installer-startup in inittab; Bastian says "it
      is only able to hide problems".
  * Stephen R. Marenka
    - Fix sbin/init to run busybox init for 2.2 kernels.
  * Joshua Kwan
    - Symlink lib to lib64 to unhork amd64 images. Patch by Kurt Roeckx
      <Q@ping.be> (Closes: #256738)

 -- Colin Watson <cjwatson@debian.org>  Fri,  2 Jul 2004 12:05:29 +0100

rootskel (0.78) unstable; urgency=low

  * Bastian Blank
    - debian-installer/kernel/linux/link_in_boot defaults to true.
    - Remove debian-installer/kernel/linux/devfs.
    - Revert frontend detection change and set DEBIAN_FRONTEND to none.

 -- Bastian Blank <waldi@debian.org>  Sun, 27 Jun 2004 20:23:24 +0200

rootskel (0.77) unstable; urgency=low

  * Bastian Blank
    - Add source directories for rootskel-bootfloppy and rootskel-locale.
    - Remove unused linuxrc files.
    - Add terminal definitions for /dev/pts/*.
    - Add support for different menues, used by network-console.
  * Martin F. Krafft
    - klogd reads the entire buffer, so running dmesg at sysinit is
      unnecessary.
  * Mario Lang
    - Run frontend detection before S25env2debconf (Closes: #256001).

 -- Colin Watson <cjwatson@debian.org>  Sat, 26 Jun 2004 14:12:47 +0100

rootskel (0.76) unstable; urgency=low

  * Colin Watson
    - Mount /sys if sysfs is available (2.6).
    - Add 2.6 initrd template; currently differs only on powerpc.
    - Add an /etc/nsswitch.conf to force libnss_files for the passwd, group,
      and shadow databases.
    - Put kernel symlinks in /boot on powerpc (closes: #241569; requires
      yaboot-installer 0.0.21).
    - Add myself to Uploaders.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 May 2004 02:58:56 +0100

rootskel (0.75) unstable; urgency=low

  * Joey Hess
    - Break env2debconf out of libdebian-installer so it can source the
      confmodule, and make it support preseeding questions that do not exist
      in the initrd but are loaded with later udebs. Closes: #248147
    - Removed non-working source failure detection code in
      sbin/debian-installer.

 -- Joey Hess <joeyh@debian.org>  Sun,  9 May 2004 11:26:33 -0400

rootskel (0.74) unstable; urgency=low

  * Joey Hess
    - Sparc kernels do not use an initrd, so set
      debian-installer/kernel/linux/initrd to false.
    - The kernel allows variables like foo="bar baz" to be passed to it,
      this sets $foo to '"bar baz"' with the double quotes unstripped.
      When processing debconf variable settings, remove such double quotes.
    - Update default i386 2.4 kernel to 2.4.26; it's the one on the CDs now.
    - Update 2.6 kernel to 2.6.5, likewise.
  * Joshua Kwan
    - Disable framebuffers for sparc64 by including a Default[sparc]
      for debian-installer/framebuffer.

 -- Joey Hess <joeyh@debian.org>  Tue,  4 May 2004 23:40:57 -0400

rootskel (0.73) unstable; urgency=low

  * Joey Hess
    - Add info about 2.6 kernel to install.

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Apr 2004 16:48:16 -0400

rootskel (0.72) unstable; urgency=low

  * Colin Watson
    - Mount /dev/pts before starting main-menu. Needed for powerpc 2.6, but
      should be harmless elsewhere.
  * Joey Hess
    - No, we really do want to load unix.ko, thank you.

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Apr 2004 23:02:20 -0400

rootskel (0.71) unstable; urgency=low

  * Bastian Blank
    - Revert loading of the unix module, fix your kernels.

 -- Bastian Blank <waldi@debian.org>  Wed, 14 Apr 2004 12:21:34 +0200

rootskel (0.70) unstable; urgency=low

  * Joey Hess
    - Manually load unix module before starting syslogd. The modules.conf
      thing won't work with module-init-tools, but is retained to avoid
      breaking anything by loading the module late.
    - Fix a broken redirection.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Apr 2004 21:03:02 -0400

rootskel (0.69) unstable; urgency=low

  * Joey Hess
    - Try to load fbcon after vga16fb, it's needed on 2.6.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Apr 2004 20:50:30 -0400

rootskel (0.68) unstable; urgency=low

  * Stephen R. Marenka
    - Set debian-installer/kernel/linux/initrd to false for m68k.

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Mar 2004 16:57:45 -0500

rootskel (0.67) unstable; urgency=low

  * Thiemo Seufer
    - Set debian-installer/kernel/linux/initrd to false for mips, mipsel.
  * Bastian Blank
    - Remove unused templates.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Mar 2004 15:17:19 -0500

rootskel (0.66) unstable; urgency=low

  * Updated the default kernel images for i386, s390, and ia64 to the ones
    currently used by linux-kernel-di.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Mar 2004 00:49:09 -0500

rootskel (0.65) unstable; urgency=low

  * Bastian Blank
    - Fix installation of s390 specific files.
    - Always set DEBIAN_FRONTEND to text on s390.
  * Joey Hess
    - Delete templates files after loading them, to free up some memory.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Mar 2004 16:49:56 -0500

rootskel (0.64) unstable; urgency=low

  * Joey Hess
    - apt-install, anna-install, register-module, debconf-get, and debconf-set
      are all moved to di-utils.
  * Sylvain Ferriol
    - In S20templates and di-main-menu, set cdebconf owner to 'd-i'.

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Feb 2004 15:30:27 -0500

rootskel (0.63) unstable; urgency=low

  * Petter Reinholdtsen
    - Make sure apt-install umounts all new mount points when it is
      done, to avoid install problems when the package 'hotplug' is
      installed.
    - In debian-installer.d/S50priority, log when the priority is
      set or changed.
    - Detect tmpfs by testing to mount, instead of looking in
      /proc/filesystems.  The latter method is not reliable (Closes:
      #224656)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 14 Feb 2004 19:23:58 +0100

rootskel (0.62) unstable; urgency=low

  * Matt Kraai
    - Remove the first devfs mount in init.bootfloppy.
    - Add anna-install.
    - Add self to Uploaders.
  * Joey Hess
    - Update to debhelper v4, use udeb support, simplfy templates creation.

 -- Matt Kraai <kraai@debian.org>  Fri, 13 Feb 2004 06:24:54 -0800

rootskel (0.61) unstable; urgency=low

  * Bastian Blank
    - Always chroot the apt-get call, avoids problems with reduced or
      missmatching libc.
  * Joey Hess
    - Remove dummy ldconfig as the associated bugs are fixed.

 -- Joey Hess <joeyh@debian.org>  Thu,  5 Feb 2004 16:49:21 -0500

rootskel (0.60) unstable; urgency=low

  * Change the kernel for i386 to 2.4.24.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Jan 2004 16:25:19 -0500

rootskel (0.59) unstable; urgency=low

  * Richard Hirst
    - Change ia64 default kernel to 2.4.22-itanium-smp
  * Bastian Blank
    - Always fail on error.
    - Fix file list in src/etc/rcS.d.

 -- Bastian Blank <waldi@debian.org>  Sun, 25 Jan 2004 19:13:18 +0100

rootskel (0.58) unstable; urgency=low

  * Karsten Merker
    - fix TERM_TYPE detection for serial console on systems
      which boot on serial console with "console=ttyS*"
  * Matt Kraai
    - Create /var/run.
  * Joey Hess
    - Remove the last vestiges of /linuxrc support, including S05init-pid.
    - Remove apt-update, only base-installer used it, and it no longer does.
    - Misc minor changes to apt-install.
  * Stephen R. Marenka
    - Modified /sbin/init and /etc/init.d/rcS to support kernel
      2.2.x. (Closes: #224758)

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Jan 2004 19:38:43 -0500

rootskel (0.57) unstable; urgency=low

  * Joey Hess
    - Add myself to uploaders.
  * Thiemo Seufer
    - Fix src/sbin/init for machines without initrd.

 -- Joey Hess <joeyh@debian.org>  Mon, 15 Dec 2003 13:00:03 -0500

rootskel (0.56) unstable; urgency=low

  * Patch from Jeremie Koenig to make the inits use tmpfs if it is present,
    while falling back to shmfs for those arches still using 2.2 kernel.
    The patch also tells tmpfs to use a max size of 100 mb, which is a better
    value for d-i on lowmem machines than the default of 1/2 of ram.
    Closes: #219528
  * If there's no frame buffer, then unifont.bgf is not needed, and it's
    huge, so delete it to save memory (2.4 mb!)

 -- Joey Hess <joeyh@debian.org>  Mon, 15 Dec 2003 12:59:57 -0500

rootskel (0.55) unstable; urgency=low

  * Thiemo Seufer
    - Let src/sbin/init panic on errors, and rewrite it a bit more
      efficiently.
  * Joey Hess
    - Make init unmount the original initrd before doing the pivot_root
      so they don't stack up and freeramdisk can work (if we had it).
      Closed: #218602

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Dec 2003 15:25:17 -0500

rootskel (0.54) unstable; urgency=low

  * Add a register-module command, similar to apt-install, which queues
    modules for entry into /target/etc/modules and /target/etc/modutils/local.
    Does not yet handle 2.6 modutils. Should only be used for modules
    that discover does not find, or that have special parameters.
  * Add debian-installer/framebuffer and only enable frame buffer if it is
    true.
  * Add a S25env2debconf in debian-installer.d, that finds environment
    variables in the form foo/bar=baz, and uses these special ones to set
    debconf values in the db. This allows booting with any d-i debconf
    values on the command line, to override *anything*. For example --
    boot: debian-installer/framebuffer=false
  * Fixed debconf-get to not output value on stderr, and not clear screen
    either. But it is insanely gross and expensive now, and should be
    moved to cdebconf and rewritten.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Dec 2003 01:50:23 -0500

rootskel (0.53) unstable; urgency=low

  * rootskel.bootfloppy: deal better with the ram disk filling up
  * pipe_progress should always be available now
  * broke out abort function

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Nov 2003 13:45:31 -0500

rootskel (0.52) unstable; urgency=low

  * INSTALL_MEDIA_DEV only controls the bootfloppy init scipt now, not
    the floppy retreiver later.
  * Added disk.lbl support to the bootfloppy init script. Now it can
    recognise when the wrong disk is put in, without the hack of looking
    for a vmlinuz file.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Nov 2003 20:21:38 -0500

rootskel (0.51) unstable; urgency=low

  * Priority of rootskel-bootfloppy should be extra.

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Nov 2003 22:43:09 -0500

rootskel (0.50) unstable; urgency=low

  * Based on several reports of kernel oopses on Sony Vaios when scanning for
    the second floppy, only scan after the user hits enter.
  * Let the user enter a command, set a shell variable, etc, at the prompt.

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Nov 2003 20:29:34 -0500

rootskel (0.49) unstable; urgency=low

  * Gaudenz Steinlin
    - set debian-installer/kernel/linux/initrd to false on powerpc

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  8 Nov 2003 19:44:39 +0100

rootskel (0.48) unstable; urgency=low

  * Improved the debian-installer.d error handling. Now it tells which
    script failed and how, and only pauses if there was a real failure.
  * debian-installer.d scriptlets are now required to be set -e safe (and so
    audited)

 -- Joey Hess <joeyh@debian.org>  Thu, 23 Oct 2003 00:02:00 -0400

rootskel (0.47) unstable; urgency=low

  * init.bootfloppy can delete its own tmp-initrd file, remove
    deletion of that from rcS.
  * Fix initrd unmounting in init.bootfloppy.
  * Clean up the rules file.

 -- Joey Hess <joeyh@debian.org>  Tue, 21 Oct 2003 18:13:09 -0400

rootskel (0.46) unstable; urgency=low

  * Fix accidential reversion of {init,linuxrc}.bootfloppy when it was
    renamed. Adds back all changes made to that file in 0.43 and 0.44.

 -- Joey Hess <joeyh@debian.org>  Tue, 21 Oct 2003 15:58:20 -0400

rootskel (0.45) unstable; urgency=low

  * Goswin von Brederlow
   - move and adapt /linuxrc* /sbin/init*

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Oct 2003 17:53:39 -0400

rootskel (0.44) unstable; urgency=low

  * Add a progress display while loading the second floppy, by using the
    pipe_progress program from di-utils-bootfloppy.
  * SInce di-utils-bootfloppy may not be in the archive yet, fall back to old
    behavior if pipe_progress is not present.

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Oct 2003 17:53:39 -0400

rootskel (0.43) unstable; urgency=low

  * Joey Hess
    - dev/null modprobes in linuxrc.bootfloppy
    - linuxrc.bootfloppy sets INSTALL_MEDIA_DEV to point to the device the
      initrd was loaded from. (I'd use a debconf variable if I had it..)
      This can then be used by the floppy retreiver, iso-scan, etc.
    - Also, use INSTALL_MEDIA_DEV as a boot parameter, to make it only scan
      a given device. Could be useful if scanning some devices panics the
      kernel.
    - Update the default kernel on i386 to 2.4.22.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Oct 2003 16:11:00 -0400

rootskel (0.42) unstable; urgency=low

  * Joey Hess
   - put in a delay .. er, prompt .. at the end of the debian-installer
     command, to allow time to read error messages if it is failing

 -- Joey Hess <joeyh@debian.org>  Sun, 12 Oct 2003 20:54:11 -0400

rootskel (0.41) unstable; urgency=low

  * Bastian Blank
    - finaly remove unix.o workaround
    - add subarchitecture template
  * Richard Hirst
    - hppa uses 2.4.20, has devfs, and needs link_in_boot
  * Joey Hess
    - remove usbfloppy, current indications are it will all fit in the boot
      floppy
    - make linuxrc.bootfloppy loop cleanly if it cannot load a bad floppy
    - added usb support to linuxrc.bootfloppy
    - clean up BOOT_DEBUG numbers
    - don't sleep before first pass

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Sep 2003 15:09:03 +0200

rootskel (0.40) unstable; urgency=low

  * Petter Reinholdtsen
    - Update apt-install to avoid matching substrings when checking if
      the package already is requested for installation.
    - Detect and keep going if linuxrd pid is not found.
    - Try to mount proc and devfs in rcS.d if not done already.
    - Ignore errors when loading the framebuffer modules
      in S33framebuffer-module-linux-i386.
  * Joey Hess
    - Change bootfloppy initrd to use BOOT_DEBUG, not DEBCONF_DEBUG.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 28 Sep 2003 10:27:33 +0200

rootskel (0.39) unstable; urgency=low

  * Joey Hess
    - Add initrd to rootskel image, instead of requiring the linuxrc make it.
    - Add two new udebs, for the new bootfloppy and usbfloppy images.
      (usbfloppy is not 100% there yet, bootfloppy is)
    - Removed usbfloppy from control until it's done.
    - Boot floppies are not too large any more. Closes: #207409

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Sep 2003 14:16:28 +0200

rootskel (0.38) unstable; urgency=low

  * Steinar H. Gunderson
    - Make apt-install ensure a package is never added twice to the queue,
      wasting less time at queue processing time. (Closes: #212785)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 27 Sep 2003 13:17:58 +0200

rootskel (0.37) unstable; urgency=low

  * Chris Tillman
    - Give full path to chroot in /linuxrc (Closes: Bug#211260).

 -- Mario Lang <mlang@debian.org>  Tue, 23 Sep 2003 17:28:58 +0200

rootskel (0.36) unstable; urgency=low

  * Denis Barbier
    - Rename debian/templates into debian/templates-arch because this
      file does not have to be translated and it caused rootskel to be
      listed under www.d.o/intl/l10n/
  * Bastian Blank
    - files in lib/debian-installer.d are neither shell scripts nor
      executable.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  9 Sep 2003 20:52:37 +0200

rootskel (0.35) unstable; urgency=low

  * Add dummy ldconfig to work around bug #203056.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 28 Jul 2003 23:22:45 +0200

rootskel (0.34) unstable; urgency=low

  * Joey Hess
    - Ensure files in lib/debian-installer.d are shell
      scripts. :-P (Closes: #201740)
    - Remove myself to uploader.
  * Alastair McKinstry
    - true != yes in bash! fix /lib/debian-installer.d scripts to
      understand this.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 21 Jul 2003 08:38:40 +0200

rootskel (0.33) unstable; urgency=low

  * Alastair McKinstry
    - Ensure files in lib/debian-installer.d are executable.
  * Joey Hess
    - Install /var/log/messages so tail has something to tail.
    - Add me to uploaders.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Oct 2003 17:59:32 -0400

rootskel (0.32) unstable; urgency=low

  * New kernel related arch variable debian-
    installer/kernel/linux/link_in_boot used on sparc.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 22 Jun 2003 14:00:50 +0200

rootskel (0.31) unstable; urgency=low

  * Petter Reinholdtsen
    - Insert the pid of linuxrc (init) into /proc/sys/kernel/cad_pid to
      make sure the kernel signal the correct process on
      Alt-Ctrl-Del. (Closes: #181271)
  * Bastian Blank
    - add -c 2 to klogd, makes it incompatible to stable busybox
    - fix the alt-ctrl-del pid

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  3 Jun 2003 23:39:41 +0200

rootskel (0.30) unstable; urgency=low

  * Bastian Blank
    - revert /linuxrc. (Closes: #193951)
    - export variables
    - make modprobe quiet

 -- Bastian Blank <waldi@debian.org>  Sat, 24 May 2003 13:54:03 +0200

rootskel (0.29) unstable; urgency=low

  * Bastian Blank
    - execute /sbin/init instead of /linuxrc.
    - use etc/rcS.d
    - use lib/debian-installer.d
    - we want escapes, use echo -ne
    - reorganize utf8 and framebuffer for linux
  * Petter Reinholdtsen
    - Remove workaround for broken cdebconf in debconf-{set,get}.  The
      latest cdebconf will start the frontend from
      /usr/share/debconf/confmodule.
  * Alastair McKinstry
    - Ensure main-menu loops if bterm killed by a HUP signal.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 18 May 2003 18:33:45 +0200

rootskel (0.28) unstable; urgency=low

  * Alastair McKinstry
    - Insert code to use framebuffer if available.
    - Use bterm if it is available.
    - Remove TERM=xterm hack, as the new slang version should work
      in UTF-8 mode (bug #187704).
  * Petter Reinholdtsen
    - Rewrite the code to enable framebuffer and bterm, to make sure it
      is enabled only if all required parts are available.
    - Only disable UTF-8 mode in the console if it was enabled by us.
    - Only turn off console blanking if TERM=linux.
    - Drop useless depend lines in the control file.
    - Split out the C.UTF-8 locale into separate package
      rootskel-locale.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 23 Apr 2003 10:59:08 +0200

rootskel (0.27) unstable; urgency=low

  * Petter Reinholdtsen
    - Upgrade default kernel on i386 from 2.4.20-386 to 2.4.20-1-386.
    - Disable UTF-8 mode in the console when main-menu exits.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Apr 2003 11:20:55 +0200

rootskel (0.26) unstable; urgency=low

  * Petter Reinholdtsen
    - Stop including empty /var/lib/apt-install/queue in the package.  It
      will replace the existing queue if rootskel is upgraded by anna.
    - Fix broken 'clean' target, now it is able to remove the build-tree.
    - Make sure the locale is only built once. (Closes: #187960)

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  8 Apr 2003 22:14:31 +0200

rootskel (0.25) unstable; urgency=low

  * Petter Reinholdtsen
    - Reorganize build rules to work around bug in fakeroot
      on arm and m68k. (Closes: #187960)

 -- Petter Reinholdtsen <pere@debian.org>  Mon,  7 Apr 2003 22:49:25 +0200

rootskel (0.24) unstable; urgency=low

  * Petter Reinholdtsen
    - New helper scripts debconf-set and debconf-get, for use by
      scripts which can't include /usr/share/debconf/confmodule.
    - Use DEBCONF_PRIORITY to set debconf template instead of passing
      it to debconf directly.  This makes it possible for main-menu to
      change it at run time.
    - Use new helper scripts to add support for HTTP proxy in apt-update
      and apt-install.  (Closes: #185114).
    - Make sure /var/lib/apt-install/queue is a complete list of all
      packages installed by apt-install.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  6 Apr 2003 21:15:18 +0200

rootskel (0.23) unstable; urgency=low

  * Petter Reinholdtsen
    - Set TERM=xterm in UTF-8 mode to get lines as borders in the
      newt frontend.
    - Rename locale used from C@utf-8 to C.UTF-8.  The name should follow
      the form of the other UTF-8 locales.
    - Print /var/log/syslog on tty4, instead of /proc/kmsg.
  * Bastian Blank
    - Add devfs templates.
    - Add linux prefix to linux only templates.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  6 Apr 2003 09:38:49 +0200

rootskel (0.22) unstable; urgency=low

  * Split the starting of main-menu into separate script, to make it
    easier to start it in a separate terminal.
  * Add code in /sbin/debian-installer to turn on UTF-8 mode when the
    terminal is the linux console.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Mar 2003 21:17:02 +0100

rootskel (0.21) unstable; urgency=low

  * Matt Kraai
    - Load unix.o as early as possible.
  * Petter Reinholdtsen
    - Upgraded Standards-Version from 3.5.6.0 to 3.5.8.
    - Tried to add support for http proxy in apt-update and apt-install.
      The code failed when called from base-installer and
      kernel-installer, so it is currently commented out.
    - Copied debian/C-at-utf-8.in from
      boot-floppies/utilities/bogl/C-at-utf-8.in, and use it to
      generate C@utf-8 locale and set LANG=C@utf-8 if it exists.
      Added locales to build-depend as it is needed to generate the
      locale.
    - Unset LANG=C@utf-8 when doing chroot /target in apt-update and
      apt-install.  The locale is not available in /target/.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Mar 2003 19:54:35 +0100

rootskel (0.20) unstable; urgency=low

  * Martin Sjögren
    - Add the newt frontend to the list, before slang.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  4 Mar 2003 16:50:37 +0100

rootskel (0.19) unstable; urgency=low

  * Petter Reinholdtsen:
    - Change $* to $@ in apt-install.
  * Tollef Fog Heen
    - Make /etc/mtab a symlink to /proc/mounts

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 21 Feb 2003 16:44:52 +0100

rootskel (0.18) unstable; urgency=low

  * Correct DEBCONF_FRONTEND to DEBIAN_FRONTEND in comment in
    sbin/debian-installer.
  * Try to get Alt-Ctrl-Del working by moving the code to execute from
    /etc/inittab to /sbin/shutdown, and adding 'reboot' at the end of
    this new script.
  * Move apt-install and apt-update from base-installer into this
    package.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  9 Feb 2003 20:26:40 +0100

rootskel (0.17) unstable; urgency=low

  * Correct template-build.pl, to always include the last template.
    It was skipping the last entry unless there was an empty line at
    the end of the templates file.

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  8 Feb 2003 09:11:52 +0100

rootskel (0.16) unstable; urgency=low

  * Petter Reinholdtsen
    - Add code to choose frontend dynamically on startup and when main-menu
      exits based on the available frontends.  They are choosen in priority
      order gtk, slang, text.
    - Add myself as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 26 Jan 2003 14:46:24 +0100

rootskel (0.15) unstable; urgency=low

  * Bastian Blank
    - rewrite template building, supports defaults values.
    - add initrd option.
  * Richard Hirst
    - add kernel image and initrd settings for hppa
  * Petter Reinholdtsen
    - Change maintainer to debian-boot@lists.debian.org, and make the old
      maintainer an uploader.  Added Tollef Fog Heen as uploader.
    - Set default for debian-installer/kernel/image to 'kernel-image'.
    - Change default kernel for i386 from 2.4.19 to 2.4.20.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 16 Jan 2003 12:02:17 +0100

rootskel (0.14) unstable; urgency=low

  * Ignore module load request for net-pf-1, nls_iso8859-1 and
    nls_cp437.  The config was moved from cdrom-detect.

 -- Tollef Fog Heen <tfheen@debian.org>  Sat,  7 Dec 2002 16:10:06 +0100

rootskel (0.13) unstable; urgency=low

  * Denis Barbier
    - replace Default-arch by Default[arch] in template in order to
      prevent confusion with localized fields.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  5 Dec 2002 00:58:48 +0100

rootskel (0.12) unstable; urgency=low

  * Bastian Blank
    - add template with arch specific default values.
    - src/etc/init.d/rc.S
      - syslogd logs to /var/log/syslog
      - start klogd
    - add src/etc/modules.conf
  * Bdale Garbee
    - add ia64 lines to templates
  * Tollef Fog Heen
    - load unix.o if it is available.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 26 Nov 2002 04:07:59 +0100

rootskel (0.11) unstable; urgency=low

  * Run the scripts in /etc/rcS.d on bootup, if available.
  * Petter Reinholdtsen:
    - Add simple group and passwd files with root entries to avoid
      some warnings from debootstrap.
  * waldi: remove virtual console hack

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 14 Nov 2002 02:06:05 +0100

rootskel (0.10) unstable; urgency=low

  * Make the inittab use the default console instead of /dev/vc/1 and
    such.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed,  6 Nov 2002 01:40:39 +0100

rootskel (0.09) unstable; urgency=low

  * Create /usr/lib/prebaseconfig.d.
  * waldi: add support for archs without virtual consoles.
  * fix fstab to point to the real floppy device

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 24 Oct 2002 02:12:47 +0200

rootskel (0.08) unstable; urgency=low

  * Turn off console blanking, since it seems like it confuses users.
  * Get rid of emacs cruft at the end of the changelog.
  * Get rid of silly references to configure target.
  * Don't mknod -- we use devfs

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 18 Aug 2002 15:42:04 +0200

rootskel (0.07) unstable; urgency=low

  * Use shm, not tmpfs (filesystem was renamed). Closes: #124008

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Dec 2001 14:19:22 -0500

rootskel (0.06) unstable; urgency=low

  * Switched from ramfs to tmpfs since it's in the standard
    Debian kernel.
  * Added /dev/console and /dev/tty1 to the package.
  * Don't use DEBCONF_FRONTEND to override the choice of cdebconf.conf

 -- Raphael Hertzog <hertzog@debian.org>  Wed,  1 Aug 2001 16:06:35 +0200

rootskel (0.05) unstable; urgency=low

  * Added a new linuxrc, which sets up a ramfs filesystem, copys the
    installer into it, pivot_roots so its the new root, ensures proc and
    dev are mounted, and runs busybox init.
  * Made rcS clean up by unmounting the initrd, and freeramdisking it
    (the latter doesn't currently work, may be kernel bug).

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Mar 2001 18:27:56 -0800

rootskel (0.04) unstable; urgency=low

  * use devfs

 -- David Whedon <dwhedon@debian.org>  Mon, 12 Feb 2001 19:24:49 -0800

rootskel (0.03) unstable; urgency=low

  * remove dev stuff form here

 -- David Whedon <dwhedon@debian.org>  Thu,  8 Feb 2001 21:27:10 -0800

rootskel (0.02) unstable; urgency=low

  * run syslogd

 -- David Whedon <dwhedon@debian.org>  Sun,  4 Feb 2001 20:49:42 -0800

rootskel (0.01) unstable; urgency=low

  * Initial Release.

 -- David Whedon <dwhedon@debian.org>  Tue, 30 Jan 2001 00:52:08 -0800
